<!---
/* *************************************************************** 
Author: 	
	PaperThin, Inc.
	G. Cronkright
Name:
	$school_detail_department_listing_rh.cfm
Elements:
	School (via render mode)
	Department (via getCEData)
Summary:
	Renders the a department listing from the department element
	for a specified school.
	Also renders School details.
ADF App:
	PT Course Catalog
History:
	2013-03-13 - GAC - Created
*/
--->
<cfif StructKeyExists(request.page.metadata,"CourseCatalog")>
<cfscript>
	// Do Not Cache if using pagination
	request.element.isStatic = 0;
	
	// Get the School Data from CS
	items = attributes.elementinfo.elementdata.PropertyValues;
	
	item = StructNew();
	if ( ArrayLen(items) )
		item = items[1];
	
	deptItems = ArrayNew(1);
	
	if ( StructKeyExists(request.page.metadata.CourseCatalog,"SchoolID") AND LEN(TRIM(request.page.metadata.CourseCatalog.SchoolID)) ) 
		schoolID = request.page.metadata.CourseCatalog.SchoolID;			

	if ( LEN(TRIM(schoolID)) )
		deptItems = application.ptCourseCatalog.departmentDAO.getDepartmentsBySchoolID(schoolID=schoolID); 

//Display Page/Data Binding Metadata
//application.ptCourseCatalog.utils.doDump(request.page.metadata,"request.page.metadata",0);
//Display Department Element Data	
//application.ptCourseCatalog.utils.doDump(items,"items",0);
//Display School Element Data	
//application.ptCourseCatalog.utils.doDump(deptItems,"deptItems",0);

	totalItems = ArrayLen(deptItems);
	columnCount = 3;
	
	// Calculate the number of items per Dept column
	itemsPerColumn = CEILING(totalItems / columnCount);
	itemsRemainder = (totalItems MOD itemsPerColumn);
	startItem = 1;
	endItem = itemsPerColumn;
	
	csPageID = 0;
	csPageURL = "";
</cfscript>	
	
<cfoutput>
<!--- itemsPerColumn: #itemsPerColumn#<br>
itemsRemainder: #itemsRemainder#<br>
<br> --->
<div id="ccSchoolDetailWrapper">
	<cfif totalItems> 
	<div id="ccSchoolDeptWrapper">
		<cfloop from="1" to="#columnCount#" index="col">
		
		<cfif startItem LTE endItem>
		<!--- New Column #col# --->
		<ul id="ccSchoolDept-#col#" class="ccSchoolDeptCol">
			<cfloop from="#startItem#" to="#endItem#" index="itm">
			<cfset csPageURL = "">
			<li>
			<cfif IsNumeric(deptItems[itm].values.catalogPageID)>	
				<cfset csPageID = deptItems[itm].values.catalogPageID>
				<cfset csPageURL = application.ptCourseCatalog.csData.getCSPageURL(pageID=csPageID)>
			</cfif>
			<cfif LEN(TRIM(csPageURL))>
			<a href="#csPageURL#">#deptItems[itm].values.deptName#</a>
			<cfelse>
			#deptItems[itm].values.deptName#
			</cfif>
			</li>	
			</cfloop>
		</ul>
		</cfif> 
		
		<!--- // Set the Start and End of the next Column --->
		<cfset startItem = itm>
		<cfset endItem = (itm + itemsPerColumn) - 1>
		<cfif endItem GT totalItems>
			<cfset endItem = (itm + itemsRemainder) - 1>
		</cfif>
		
		</cfloop>
		<div class="ccClear"></div>
	</div>
	</cfif>
	
	<cfif NOT StructIsEmpty(item)>
	<div id="ccSchoolDetailDescription">
		<!--- <cfdump var="#item#"> --->
		#item.values.description#
	</div>
	</cfif>
</div>	
</cfoutput>
<cfelse>
<!--- // TODO: Display an Error message if a School has not been selected from the Custom Metadata form --->
</cfif>