<!---
/* *************************************************************** 
Author: 	
	PaperThin, Inc.
	G. Cronkright
Name:
	$school_listing_rh.cfm
Element:
	School
Summary:
	Renders the school listing from the school element
ADF App:
	PT Course Catalog
History:
	2013-03-13 - GAC - Created
*/
--->
<cfscript>
	// Do Not Cache if using pagination
	request.element.isStatic = 0;
	
	// Get the School Data from CS
	items = attributes.elementinfo.elementdata.PropertyValues;

//Display Element Data	
//application.ptCourseCatalog.utils.doDump(items,"items",0);

	totalItems = ArrayLen(items);
	columnCount = 1;
	
	if ( columnCount GT 1 ) {
		// Calculate the number of items per Dept column
		itemsPerColumn = CEILING(totalItems / columnCount);
		itemsRemainder = (totalItems MOD itemsPerColumn);
		startItem = 1;
		endItem = itemsPerColumn;
	} 
	else {
		itemsPerColumn = totalItems;
		itemsRemainder = 0;
		startItem = 1;
		endItem = totalItems;
	}
	
	csPageURL = "";
</cfscript>

<cfoutput>
<div id="ccSchoolListingWrapper">
	<cfif totalItems> 
	<div id="ccSchoolListCols">
		<cfloop from="1" to="#columnCount#" index="col">
		
		<cfif startItem LTE endItem>
		<!--- New Column #col# --->
		<ul id="itmCol-#col#" class="ccSchoolCol">
			<cfloop from="#startItem#" to="#endItem#" index="itm">
			<cfset csPageURL = "">
			<cfif StructKeyExists(items[itm].values,"deptListingPageURL") AND LEN(TRIM(items[itm].values.deptListingPageURL))>
				<cfset csPageURL = items[itm].values.deptListingPageURL>
			</cfif>
			<li>
			<cfif LEN(TRIM(csPageURL))>
			<a href="#csPageURL#">#items[itm].values.schoolName#</a>
			<cfelse>
			#items[itm].values.schoolName#
			</cfif>
			</li>	
			</cfloop>
		</ul>
		</cfif> 
		
		<!--- // Set the Start and End of the next Column --->
		<cfset startItem = itm>
		<cfset endItem = (itm + itemsPerColumn) - 1>
		<cfif endItem GT totalItems>
			<cfset endItem = (itm + itemsRemainder) - 1>
		</cfif>
		
		</cfloop>
		<div class="ccClear"></div>
	</div>
	</cfif>
</div>	
</cfoutput>